parameters:
  editor.hooks_converted: true

services:
  _defaults:
    autoconfigure: true
  plugin.manager.editor:
    class: Drupal\editor\Plugin\EditorManager
    parent: default_plugin_manager
    arguments:
      $entityTypeManager: '@entity_type.manager'
  element.editor:
    class: Drupal\editor\Element
    arguments: ['@plugin.manager.editor']
  Drupal\editor\Element: '@element.editor'
  editor.config_translation_mapper_subscriber:
    class: Drupal\editor\EventSubscriber\EditorConfigTranslationSubscriber
    arguments: ['@config.factory']
